function form_sub()
{
if(!test_username(document.form1.username.value))
{
alert("姓名格式不正确");
return false;
}

if(!test_date(document.form1.birthday.value))
{
alert("日期格式不正确");
return false;
}

if(!test_email(document.form1.email.value))
{
alert("E-mail地址格式不正确");
return false;
}

if(!test_password(document.form1.password.value, document.form1.password2.value))
{
alert("两次密码输入不相同");
return false;
}
}

function test_username(str_username)
{
var pattern = /[a-zA-Z_]/;
if(pattern.test(str_username))
return true;
else
return false;
}

function test_date(str_birthday)
{
var pattern = /[0-9]{4}-[0-9]{2}-[0-9]{2}/;
if(pattern.test(str_birthday))
return true;
else
return false;
}

function test_email(str_email)
{
var pattern = /^[a-zA-Z0-9_.]+@([a-zA-Z0-9_]+.)+[a-zA-Z]{2,3}$/;
if(pattern.test(str_email))
return true;
else
return false;
}

function test_password(str_p1, str_p2)
{
if(str_p1==str_p2)
return true;
else
return false;
} 

//登陆验证
function login_submit(thisform)
{
alter(password2.value);
	with(thisform)
	{
		if((username.value==""||username.value==null)&&(password.value==""||password.value==null))
		{
			alert("用户名和密码不能为空，请输入用户名和密码！");
			return false;
		}
		
		else if(username.value==""||username.value==null)
		{
			alert("用户名不能为空，请输入用户名！");
			return false;
		}
		else if(password.value==""||password.value==null)
		{
			alert("密码不能为空，请输入密码！");
			return false;
		}
		
		
		else
		{
			return true;
		}
	}
}

//用户注册验证
//登陆验证
function register_submit(thisform)
{
	with(thisform)
	{
		if((username.value==""||username.value==null)&&(password.value==""||password.value==null))
		{
			alert("用户名和密码不能为空，请输入用户名和密码！");
			return false;
		}
		
		
		else if(username.value==""||username.value==null)
		{
			alert("用户名不能为空，请输入用户名！");
			return false;
		}
		
		else if(password.value==""||password.value==null)
		{
			alert("密码不能为空，请输入密码！");
			return false;
		}
	    
		
		else if(password2.value==""||password2.value==null)
		{
			alert("再次输入密码不能为空，请输入密码！");
			return false;
		}
		
		
		else if(password.value!=password2.value)
		{
				alert("两次密码不一致！");
				return false;
		}
		
		
		else
		{
			return true;
		}
	}
}


